Name:           perl-Module-Metadata-Changes
Version:        2.05
Release:        3%{?dist}
Summary:        Manage a module's machine-readable Changes/CHANGES file
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Module-Metadata-Changes/
Source0:        http://www.cpan.org/authors/id/R/RS/RSAVAGE/Module-Metadata-Changes-%{version}.tgz
# Install bin scripts, CPAN RT#102247
Patch0:         Module-Metadata-Changes-2.05-Install-bin-ini.report.pl.patch
# Search templates and CSS in the system directories
Patch1:         Module-Metadata-Changes-2.05-Search-assets-in-system-directories.patch
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  web-assets-devel
# Run-time:
BuildRequires:  perl(Config::IniFiles) >= 2.66
# DateTime nowhere used
# DateTime::Format::HTTP 0.4 not used at tests
# DateTime::Format::Strptime 1.5 not used at tests
BuildRequires:  perl(DateTime::Format::W3CDTF) >= 0.06
# Getopt::Long not used at tests
BuildRequires:  perl(Hash::FieldHash) >= 0.1
BuildRequires:  perl(HTML::Entities::Interpolate) >= 1.03
BuildRequires:  perl(HTML::Template) >= 2.9
BuildRequires:  perl(Perl6::Slurp) >= 0.03
# Pod::Usage not used at tests
BuildRequires:  perl(strict)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(version) >= 0.82
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.96
# Optinonal tests:
BuildRequires:  perl(Test::Pod) >= 1.45
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Config::IniFiles) >= 2.66
Requires:       perl(DateTime::Format::HTTP) >= 0.4
Requires:       perl(DateTime::Format::Strptime) >= 1.5
Requires:       perl(DateTime::Format::W3CDTF) >= 0.06
Requires:       perl(Hash::FieldHash) >= 0.1
Requires:       perl(HTML::Entities::Interpolate) >= 1.03
Requires:       perl(HTML::Template) >= 2.9
Requires:       perl(Perl6::Slurp) >= 0.03
Requires:       perl(version) >= 0.82
Requires:       web-assets-filesystem

%{?perl_default_filter}

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Config::IniFiles|DateTime::Format::W3CDTF|Hash::FieldHash|HTML::Entities::Interpolate|HTML::Template|Perl6::Slurp|version)\\)$

%description
Module::Metadata::Changes is a pure Perl module. It allows you to convert
old-style Changes/CHANGES files, and to read and write Changelog.ini files.

%prep
%setup -q -n Module-Metadata-Changes-%{version}
# Enable writing for patching
find -type f -exec chmod u+w {} +
%patch0 -p1
%patch1 -p1
chmod -x scripts/report.names.pl
sed -i -e '1 s/^#!.*/#!perl/' bin/ini.report.pl

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

# Install templates
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/module/metadata/changes
install -m 0644 \
    -t $RPM_BUILD_ROOT%{_datadir}/%{name}/templates/module/metadata/changes \
    htdocs/assets/templates/module/metadata/changes/*

# Install web assets
install -d $RPM_BUILD_ROOT%{_webassetdir}/%{name}/css/module/metadata/changes
install -m 0644 \
    -t $RPM_BUILD_ROOT%{_webassetdir}/%{name}/css/module/metadata/changes \
    htdocs/assets/css/module/metadata/changes/*

%check
make test

%files
# The Changelog.ini is an example for ini.report.pl tool
%doc Changelog.ini Changes README scripts
%{_bindir}/*
%{perl_vendorlib}/*
%{_datadir}/%{name}
%{_webassetdir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 2.05-2
- Perl 5.22 rebuild

* Thu Feb 19 2015 Petr Pisar <ppisar@redhat.com> 2.05-1
- Specfile autogenerated by cpanspec 1.78.
